Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 623542

Summary: dev-perl/GD-SVG-0.330.0-r1 : # Failed test use GD::SVG;
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Perl team <perl>
Status: RESOLVED FIXED    
Severity: normal CC: kentnl
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 661634    
Bug Blocks: 300119, 787404    
Attachments: emerge-info.txt
dev-perl:GD-SVG-0.330.0-r1:20170702-121634.log
emerge-history.txt
environment
etc.portage.tbz2
temp.tbz2

Description Toralf Förster gentoo-dev 2017-07-02 15:23:35 UTC
  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-systemd_20170627-203711

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 *
Comment 1 Toralf Förster gentoo-dev 2017-07-02 15:23:38 UTC
Created attachment 479906 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-07-02 15:23:41 UTC
Created attachment 479908 [details]
dev-perl:GD-SVG-0.330.0-r1:20170702-121634.log
Comment 3 Toralf Förster gentoo-dev 2017-07-02 15:23:44 UTC
Created attachment 479910 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-07-02 15:23:48 UTC
Created attachment 479912 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-07-02 15:23:51 UTC
Created attachment 479914 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-07-02 15:23:54 UTC
Created attachment 479916 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-07-09 22:54:29 UTC
It seems that dev-perl/GD triggers here an oom-killer at a system with 64 GB RAM ...
Comment 8 Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2019-07-11 07:01:33 UTC
This bug will stall until GD can be less shit.
Comment 9 Larry the Git Cow gentoo-dev 2021-06-03 19:13:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d64978d1cee9c2d894b12e03e602d00772508dce

commit d64978d1cee9c2d894b12e03e602d00772508dce
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2021-06-03 19:12:18 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2021-06-03 19:13:06 +0000

    dev-perl/GD: Force-enable gif,jpeg,png
    
    Closes: https://bugs.gentoo.org/623542
    Closes: https://bugs.gentoo.org/635830
    Closes: https://bugs.gentoo.org/661634
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 dev-perl/GD/GD-2.730.0-r1.ebuild | 75 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)